{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseMessageOccurrenceSpecification(Lorg/eclipse/uml2/uml/MessageOccurrenceSpecification;)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseExecutionOccurrenceSpecification(Lorg/eclipse/uml2/uml/ExecutionOccurrenceSpecification;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseElement(Lorg/eclipse/uml2/uml/Element;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseMessageEnd(Lorg/eclipse/uml2/uml/MessageEnd;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/util/UMLSwitch.caseNamedElement(Lorg/eclipse/uml2/uml/NamedElement;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/emf/ecore/util/Switch.doSwitch(Lorg/eclipse/emf/ecore/EObject;)Ljava/lang/Object;": 1
  }
}